%define ver    1.5
%define rel    beta7


Summary:       A traceroute implementation using TCP packets
Name:          tcptraceroute
Version:       %{ver}
Release:       0.6.%{rel}%{?dist}%{?pext}
Epoch:         1
License:       GPL
Group:         Applications/Internet
Source0:       http://michael.toren.net/code/%{name}/%{name}-%{ver}%{rel}.tar.gz
URL:           http://michael.toren.net/code/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael C. Toren <mct@toren.net>
BuildRequires: libnet-devel libpcap-devel


%description
Tcptraceroute is a traceroute implementation using TCP SYN packets,
instead of the more traditional UDP or ICMP ECHO packets. In doing
so, it is able to trace through many common firewall filters.


%prep
%setup -q -n %{name}-%{ver}%{rel}


%build
%configure
%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Cleanup
%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/doc


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc VERSION *.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jun 29 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1:1.5-0.6.beta7
- Rebuild for libnet update (changed library versioning)

* Sat Mar 22 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1:1.5-0.5.beta7
- Fixed versioning
- Rewritten for buildsystem

* Thu Feb 08 2007 peter.pramberger@member.fsf.org 1.5beta7-4
- some spec file cleanups (x86_64 support)

* Fri Sep 08 2006 peter.pramberger@member.fsf.org
- new version (1.5beta7)

* Wed Nov 23 2005 peter.pramberger@member.fsf.org
- created
